GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
debug_names::offset_vec_tmpl< OffsetSize > Class Template Reference
Inheritance diagram for debug_names::offset_vec_tmpl< OffsetSize >:

## Public Member Functions
| offset_vec_tmpl (bfd_endian dwarf5_byte_order_)
void | reserve (size_t nelem) override
void | push_back_reorder (size_t elem) override
size_t | bytes () const override
void | file_write (FILE *file) const override
Public Member Functions inherited from debug_names::offset_vec
| offset_vec (bfd_endian dwarf5_byte_order_)

## Private Attributes
std::vector< OffsetSize > | m_vec

## Additional Inherited Members
Protected Attributes inherited from debug_names::offset_vec
const bfd_endian | dwarf5_byte_order

## Detailed Description

### template<typename OffsetSize>
class debug_names::offset_vec_tmpl< OffsetSize >

Definition at line 26447 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ offset_vec_tmpl()

template<typename OffsetSize>

debug_names::offset_vec_tmpl< OffsetSize >::offset_vec_tmpl | ( | bfd_endian | dwarf5_byte_order_ | ) |
| inline explicit

Definition at line 26450 of file dwarf2read.c.

## Member Function Documentation

## ◆ bytes()

template<typename OffsetSize>

size_t debug_names::offset_vec_tmpl< OffsetSize >::bytes | ( |  | ) | const
| inline override virtual

Implements debug_names::offset_vec.

Definition at line 26471 of file dwarf2read.c.

## ◆ file_write()

template<typename OffsetSize>

void debug_names::offset_vec_tmpl< OffsetSize >::file_write | ( | FILE * | file | ) | const
| inline override virtual

Implements debug_names::offset_vec.

Definition at line 26477 of file dwarf2read.c.

Referenced by debug_names::offset_vec_tmpl< uint64_t >::file_write().

## ◆ push_back_reorder()

template<typename OffsetSize>

void debug_names::offset_vec_tmpl< OffsetSize >::push_back_reorder | ( | size_t | elem | ) |
| inline override virtual

Implements debug_names::offset_vec.

Definition at line 26461 of file dwarf2read.c.

## ◆ reserve()

template<typename OffsetSize>

void debug_names::offset_vec_tmpl< OffsetSize >::reserve | ( | size_t | nelem | ) |
| inline override virtual

Implements debug_names::offset_vec.

Definition at line 26455 of file dwarf2read.c.

## Member Data Documentation

## ◆ m_vec

template<typename OffsetSize>

std::vector<OffsetSize> debug_names::offset_vec_tmpl< OffsetSize >::m_vec
| private

Definition at line 26483 of file dwarf2read.c.

Referenced by debug_names::offset_vec_tmpl< uint64_t >::bytes(), debug_names::offset_vec_tmpl< uint64_t >::file_write(), debug_names::offset_vec_tmpl< uint64_t >::push_back_reorder(), and debug_names::offset_vec_tmpl< uint64_t >::reserve().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c